package com.isu.gaswellwatch.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserVO implements Serializable {
    private Long id;
    //账户
    private String username;
    //昵称
    private String nickname;
    //手机号
    private String phone;
    //是否启用
    private String isEnable;

    private List<RoleVO> roles;
    //创建时间
    private String createTime;

    //所属部门
    private DepartmentVO department;

}
